Bug 209154 - High speed USB HID devices not working in RHEL3
High speed USB HID devices not working in RHEL3
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-03 12:25 EDT by Stuart Hayes
Modified: 2007-11-16 20:14 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2007-0436
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 13:57:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to fix high speed HID device interval (1010 bytes, patch)
2007-02-22 11:21 EST, Stuart Hayes
no flags Details | Diff

  None (edit)
Description Stuart Hayes 2006-10-03 12:25:42 EDT
Description of problem:
High speed (USB 2.0) HID devices aren't working.  Specifically this was seen 
with a new USB 2.0 Avocent KVM dongle.

Version-Release number of selected component (if applicable):
2.4.21-47.EL

How reproducible:
every time

Steps to Reproduce:
1. Connect Avocent USB 2.0 KVM dongle.
2. Boot system (booting to install CD shows problem, too).
3. Note that keyboard & mouse don't work. 
 
Actual results:
Keyboard & mouse don't work .

Expected results:
Keyboard and mouse should work.

Additional info:
The problem is that the usbhid driver (in hid-core.c) is _not_ modifying the 
interrupt URB interval for high speed devices before calling 
FILL_INT_URB, which causes the interval to be too low, and the ehci driver 
won't schedule the URB.  The attached patch fixes the issue.

RHEL4 has a similar problem, except that RHEL4 does the calculation to modify 
the URB interval _twice_, while RHEL3 doesn't do it at all... :)
Comment 1 Pete Zaitcev 2007-02-21 19:35:48 EST
Stuart, please make sure to open an I-T ticket or ask Matt to get this into
our PM machine somehow. First, I completely forgot that you filed this, so just
found it in today's rescan... Sorry. Second, I'll need a ticket anyway to
integrate anything into RHEL 3. It's going to see a really-really-really
last release very soon (actually it has already, but we're thinking about
doing U9).

Also, you didn't attach the patch, although you mentioned "attached patch".
Comment 2 Stuart Hayes 2007-02-22 11:21:06 EST
Created attachment 148584 [details]
patch to fix high speed HID device interval

Here's the patch that I should have attached earlier, sorry.  I tried to work
an extra semaphore into it somehow... :)
Comment 3 Stuart Hayes 2007-02-22 12:27:53 EST
Created IT#114448 to correspond to this issue.
Comment 5 Pete Zaitcev 2007-02-22 17:23:33 EST
The patch is good. I have verified it locally. I need a word from Linda
to post it.
Comment 8 Ernie Petrides 2007-03-06 00:15:09 EST
A fix for this problem has just been committed to the RHEL3 U9
patch pool this evening (in kernel version 2.4.21-47.6.EL).
Comment 11 Red Hat Bugzilla 2007-06-11 13:57:05 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0436.html

Note You need to log in before you can comment on or make changes to this bug.